<?php
/**

Copyright (c) 2010, Design City Pty Ltd - http://designcity.com.au
Written by Michael Bollig
All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the
      documentation and/or other materials provided with the distribution.
    * Neither the name of Design City nor the names of its contributors may be used to endorse or promote products derived from this software
      without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY
OF SUCH DAMAGE.

**/

/*****************************************
	CONFIGURATION OPTIONS
*****************************************/

   /***********	
	* SITE MAP PAGE TITLE
	* Uncomment or add the following line to your 
	* _config.php to override the default Title 
	* for the site map page. Uses 'Site Map' by default.
	**********/

//	SiteMapModule::setTitle('Site Map');

   /***********	
	* SITE MAP URL
	* Uncomment or add the following line to your 
	* _config.php to override the default URL Segment 
	* for the site map. Uses 'site-map' by default.
	**********/

//	SiteMapModule::setURLSegment('site-map');

   /***********	
	* HIDE PAGE TYPES FROM THE SITE MAP
	* Uncomment or add the following line to your 
	* _config.php to override the default page types
	* that are skipped when rendering the site map.
	* 
	* Page classes *must* be passed as an array, 
	* even when only skipping a single class.
	**********/

//	SiteMapModule::skipPageTypes(array("ErrorPage","OtherPage","OtherPage"));

   /***********	
	* CHECK USER PERMISSIONS AND HIDE PAGES THE USER CAN'T VIEW
	* Uncomment or add the following line to your 
	* _config.php to do a permissions check to ensure
	* only pages the user is allowed to view are shown.
	**********/

//	SiteMapModule::setPermissionCheck(true);

   /***********	
	* SITE MAP THEME
	* Uncomment or add the following line to your 
	* _config.php to switch the theme from the default 
	* minimal theme to slickmap:
	**********/

//	SiteMapModule::setTheme('slickmap');
//	SiteMapModule::setTheme('default');


/*****************************************
	DO NOT EDIT PAST HERE :)
*****************************************/

class PageExtension extends DataExtension {
	/**
	 * @return void
	 */
	
	public function onAfterPublish() {
		#echo 'hello'; exit;
		SiteMap::Content();
		parent::onAfterPublish();
	}
	
	public function onAfterUnpublish() {
		SiteMap::Content();
		parent::onAfterUnpublish();
	}
}

?>